## Bsoft program

# bfil

### Usage: bfil [options] input.star [input2.star ...]

Extracts filaments from a micrograph as straightened filaments or boxed particles.

### Actions:

-reconstructions | Operate on reconstruction parameters rather than micrographs.
-center 85 | Center filament nodes with the given window width.
-density 25 | Estimate filament density per length with the given filament width.
-extract 150,y | Extract filaments with this width (voxels) along an axis (optional).
-split | Split filaments into individual files.

### Actions for boxing:

-box 125,125,1 | Box particles along filaments with this size (voxels, one sets all).
-interval 25.5 | Interval of boxes (default: box radius).
-maskwidth 50 | Width to mask boxed images (voxels).
-background | Correct background of extracted particles.
-normalize | Normalize extracted particles.
-rotate y | Rotate particles from filaments to align with an axis.
-powerspectrum 200 | Calculates average power spectra from extracted particles with optional padding.

### Parameters:

-verbose 7 | Verbosity of output.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-base fil_001 | Set the filament/particle base file name (no extension).
-path dir/subdir | Set the filament/particle file paths.
-extension pif | Set the filament/particle image file format.

### Parameters for boxing:

-helix 16.2,39.5 | Helical parameters for filament boxing: helical rise
| and angle per asymmetric unit (angstroms and degrees).
-fill 127 | Fill value for particles extending beyond image (default background).

### Output:

-output file.star | Output parameter file.
-Densities img.mrc | One dimensional image with filament densities.
-Postscript plot.ps | Histogram of filament densities.

Bsoft version 2.0.3-20180917 (64 bit)